Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://{server}/api/me/ \ --header 'Content-Type: application/json' \ --cookie sessionid= \ --data ' { "name": "<string>", "visible_outside_org": true } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "jsmith@example.com", "name": "<string>", "is_system_admin": true, "is_repository_admin": true, "visible_outside_org": true, "email_pending_verification": "<string>", "root_collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "sole_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "admin_organizations": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "member_count": 0, "description": "<string>", "whitelisted_email_domains": [ "<string>" ], "globus_identity_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } ], "memberships": [ { "organization": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>" } } ], "avatar_url": "<string>" }
Handles non-email profile fields. Email changes are processed separately in MeView.
255
Show child attributes